# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/ca6280e6-2cdd-4b6c-7c28-613c7523e67d/volume/combined_recipe, last modified Tue Mar 23 12:30:24 2021
# ------------------------------------------------

package:
  name: aws-sdk-cpp
  version: 1.8.168
source:
  patches:
    - 0001-fix-libdir-for-deps.patch
    - 0002-force-openssl-use.patch
  sha256: 3de9aea30ed812d1a6415d546568b27295a7e37d39c0a736b87bb8d4f449f549
  url: https://github.com/aws/aws-sdk-cpp/archive/1.8.168.tar.gz
build:
  number: '0'
  run_exports:
    - aws-sdk-cpp >=1.8.168,<1.8.169.0a0
  string: he271ece_0
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - ca-certificates 2021.1.19 hecd8cb5_1
    - cctools 927.0.2 h5ba7a2e_4
    - clang 10.0.0 default_hf57f61e_0
    - clang_osx-64 10.0.0 h05bbb7f_1
    - clangxx 10.0.0 default_hf57f61e_0
    - clangxx_osx-64 10.0.0 h05bbb7f_1
    - cmake 3.19.6 h04fa861_0
    - compiler-rt 10.0.0 h47ead80_0
    - compiler-rt_osx-64 10.0.0 hbcc88fd_0
    - expat 2.2.10 hb1e8313_2
    - krb5 1.18.2 h75d18d8_0
    - ld64 450.3 h3c32e8a_4
    - libcurl 7.71.1 h8a08a2b_1
    - libcxx 10.0.0 1
    - libedit 3.1.20210216 h9ed2024_1
    - libffi 3.3 hb1e8313_2
    - libllvm10 10.0.0 h21ff451_2
    - libssh2 1.9.0 ha12b0ac_1
    - libuv 1.40.0 haf1e3a3_0
    - llvm-openmp 10.0.0 h28b9765_0
    - llvm-tools 10.0.0 h21ff451_2
    - lz4-c 1.9.3 h23ab428_0
    - make 4.2.1 h3efe00b_1
    - ncurses 6.2 h0a44026_1
    - ninja 1.10.2 py39hf7b0b51_0
    - openssl 1.1.1j h9ed2024_0
    - python 3.9.2 h88f2d9e_0
    - readline 8.1 h9ed2024_0
    - rhash 1.4.1 hbcfaee0_1
    - sqlite 3.35.2 hce871da_0
    - tapi 1000.10.8 ha1b3eb9_0
    - tk 8.6.10 hb0a8c7a_0
    - tzdata 2020f h52ac0ba_0
    - xz 5.2.5 h1de35cc_0
    - zlib 1.2.11 h1de35cc_3
    - zstd 1.4.5 h41d2c2f_0
  host:
    - aws-c-common 0.4.57 hb1e8313_1
    - aws-c-event-stream 0.1.6 h23ab428_5
    - aws-checksums 0.1.9 hb1e8313_0
    - ca-certificates 2021.1.19 hecd8cb5_1
    - krb5 1.18.2 h75d18d8_0
    - libcurl 7.71.1 h8a08a2b_1
    - libcxx 10.0.0 1
    - libedit 3.1.20210216 h9ed2024_1
    - libssh2 1.9.0 ha12b0ac_1
    - ncurses 6.2 h0a44026_1
    - openssl 1.1.1j h9ed2024_0
    - zlib 1.2.11 h1de35cc_3
  run:
    - aws-c-common >=0.4.57,<0.4.58.0a0
    - aws-c-event-stream >=0.1.6,<0.1.7.0a0
    - libcurl >=7.71.1,<8.0a0
    - libcxx >=10.0.0
    - openssl >=1.1.1j,<1.1.2a
test:
  commands: null
  files:
    - CMakeLists.txt
    - test.cpp
  requires:
    - clang_osx-64 10.*
    - clangxx_osx-64 10.*
    - cmake
    - make
    - ninja
about:
  description: 'The AWS SDK for C++ provides a modern C++ (version C++ 11 or later)
    interface for Amazon Web Services (AWS).

    It is meant to be performant and fully functioning with low- and high-level SDKs,

    while minimizing dependencies and providing platform portability (Windows, OSX,
    Linux, and mobile).

    '
  dev_url: https://github.com/aws/aws-sdk-cpp
  doc_url: https://aws.amazon.com/documentation/sdk-for-cpp/
  home: https://github.com/aws/aws-sdk-cpp
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: C++ library that makes it easy to integrate C++ applications with AWS services
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ihnorton
    - jakebolewski
    - pitrou
    - xhochy
